Subject: GuoBiao & GB6345

From: [email-masked] (Dr. Man-Chi PONG)
Date: Tue, 5 Oct 93 10:19:43 HKT

I think it's important to clarify the difference between a "coding standard"
and a "standard on the shapes of glyphs", so that the readers are not
confused.

Guobiao = ~{���ұ�׼~} guojia biao, meaning "National Standard"
PRC government has many "guobiao", e.g. about size of bolts and nuts, etc.

GB2312-80 is a ***HANZI CODING STANDARD***
-- the title is ~{��Ϣ�����ú��ֱ����ַ���������~}
-- (my direct translation to English) is
   "character set, basic set, of Chinese character encoding 
   for information interchange"

There are other PRC government ***HANZI CODING STANDARDs***, say,
for traditional Chinese characters.

===========
GB6345.1-86 is a ***standard on the shapes of glyphs***
-- the title is ~{��Ϣ������32x32������ģ��~}
-- (my direct translation to English) is
   "32x32 bitmap glyph set for information interchange"

GB6345.2-86 is a standard on the DATA of the glyphs of GB6345.1-86
-- the title is ~{��Ϣ������32x32������ģ�� ���ݼ�~}.
					    ^^^^^^
			    the bitmap DATA SET for GB6345.1-86

They include some glyphs not defined in GB2312-80, and use
some "code points" (as some writers use such term) from the
"unused encoding space" of GB2312-80 to encode those glyphs.

There are other PRC governemnt published glyph sets of
various bitmap sizes; e.g.,

GB5007.1-85 is ~{��Ϣ������24x24������ģ��~}.
GB5007.2-85 is ~{��Ϣ������24x24������ģ�� ���ݼ�~}. data set
GB5199.1-85 is ~{��Ϣ������15x16������ģ��~}.
GB5199.2-85 is ~{��Ϣ������15x16������ģ�� ���ݼ�~}. data set
===========

> From [email-masked] Tue Oct  5 01:59:15 1993
> Subject: Re:  GB6345
>
> ...
> If I can
> squeece out more time, I will create a gb6345.16 file and the associate
					 ^^^^^^^^^
> HBF file for the 16 bit fonts.

So, if one really makes a size-16 glyph set conforming to the PRC government
standard, one should conform to GB5199.1-85 & GB5199.2-85. 

===========

Probably the question orginates from:

> From [email-masked] Tue Oct  5 01:59:15 1993
> Subject: Re:  GB6345
>
> ...
> My original reason for creating gb6345.24 (bitmap file for gb6345) was
> to to allow me to write a HP laser printer printing program which allows
> mix GB and ascii code. I am sure that anyone who has attempt the effort
> has encounter the same problem.  GB is two byte long and ASCII is one byte
> long, it is only natural that a Chinese ideogram occupy twice the width of
> an ASCII character.  now the problem is that GB bitmap is defined in an
> externl file such as cclib.*24, and ASCII font is not.  I need an ASCII
> bitmap file that is half the width of the GB bitmap file.
> ...

	Whether we really should allow an HBF file to
	specify variable width glyphs in the same HBF file?
I'd oppose the idea.

To do mixed width char output (say, for ASCII char & hanzi),
one can use 2 HBF files, one for the ASCII bitmaps and one
for the hanzi bitmaps.  (The bitmaps may be in the same or
different bitmap files.)

The kuochiao 16x16 hanzi bitmaps & 16x14 symbol bitmaps are
similar in nature, and F.F.Lee has posted a way to tackle this
problem.  Please see Lee's earlier posting.

mcpong